%{
#include<stdio.h>
extern int lexinit(FILE*);
extern int yylex();
extern int yyerror(char*);
%}

%token V C F L N 

%left L
%left N

%%

a : V '=' e ';' { printf("%d\n",$3); }
e : e L e { $$=$1+$3+1; }
  | e N e { $$=$1+$3+1; }
  | F '(' e ')' { $$=$3+1; }
  | V { $$=1; }
  | C { $$=1; }
  ;

%%


int yyerror(char *msg) { printf("%s \n",msg); return -1; }

int main(int argc,char** argv)
{
  FILE *source_file=fopen(argv[1],"r");
  lexinit(source_file); 
  yyparse();
  fclose(source_file);
  return 0;
}

