%{ 
#include<stdio.h> 
extern int lexinit(FILE*);
extern int yylex();
extern int yyerror(char*);

unsigned int sacvc; // sac variable counter
%}

%token V C F L N 

%left L
%left N

%%

a : V '=' { sacvc=0; } e ';' 
e : e L e { $$=sacvc++; printf("(%d,%d)\n(%d,%d)\n",$1,$$,$3,$$); }
  | e N e { $$=sacvc++; printf("(%d,%d)\n(%d,%d)\n",$1,$$,$3,$$); }
  | F '(' e ')' { $$=sacvc++; printf("(%d,%d)\n",$3,$$); }
  | V { $$=sacvc++; }
  | C { $$=sacvc++; }
  ;

%%


int yyerror(char *msg) { printf("%s \n",msg); return -1; }

int main(int argc,char** argv)
{
  FILE *source_file=fopen(argv[1],"r");
  lexinit(source_file); 
  yyparse();
  fclose(source_file);
  return 0;
}

